/*
#############################################################
#                                                           #
#   G Language Example : Sample program that uses arguments #
#                                                           #
#   Author: Quentin Dem                                    #
#           qdeme@yahoo.fr                                  #
#                                                           #
#############################################################
*/

proc sendCommand() {
    echo("Command > ",0);
    string cmd;
    input(cmd,string);
    System(cmd);
}

proc readFile() {
    echo("File name : ",0);
    string fname;
    input(fname,string);
    int nblignes = FileLines(fname);
    for (int i = 1; i <= nblignes; i=i+1) {
        echo("Line " & i & " : " & FileReadLine(fname,i),1);
    }
    echo("End of file",1);
}

entry {
    if (entryNbParam <= 1) {
        echo("Usage : paramtest.g <option>",1);
        echo("",1);
        echo("Options :",1);
        echo("          --sendCmd",1);
        echo("          --readFile",1);
        echo("",1);
    }
    else {
        if (entryParam[1] === "--sendCmd") {
            sendCommand();
        }
        elseif (entryParam[1] === "--readFile") {
            readFile();
        }
        else {
            echo("Unknown option",1);
        }
    }
}
