/*
#############################################################
#                                                           #
#   G Language Example : Custom NumTok() example            #
#                                                           #
#   Author: Quentin Dem                                    #
#           qdeme@yahoo.fr                                  #
#                                                           #
#############################################################
*/

function CustomNumtok(string str, char sep) return int {
    int i = 1;
    while (StrLen(GetTok(str,sep,i,0)) != 0) {
        i = i + 1;
    }
    return i - 1;
}

function CustomNumtok2(string str2, char sep2) return int {
    int i = 1;
    int l = StrLen(str2);
    int nb = 0;
    while (i <= l) {
        if (StrGetInd(str2,i) == sep2) {
            nb = nb + 1;
        }
        i = i + 1;
    }
    return nb + 1;
}

entry {
	echo("Program that reproduces, thanks to the language, a function of the language itself : the NumTok() function",1);
	echo("",1);

	string ch = "Custom NumTok Test";
	char sep = ' ';
	char dbq = 34; // for double quote
	
	echo("CustomNumtok(" & dbq & ch & dbq & ") = " & CustomNumtok(ch,sep),1);
	echo("CustomNumtok2(" & dbq & ch & dbq & ") = " & CustomNumtok2(ch,sep),1);
	echo("NumTok(" & dbq & ch & dbq & ") = " & NumTok(ch,sep),1);
}
