/*
#############################################################
#                                                           #
#   G Language Example : Multithread demonstration program  #
#                                                           #
#   Author: Quentin Dem                                    #
#           qdeme@yahoo.fr                                  #
#                                                           #
#############################################################
*/

int glob = 0;

proc thread Display(int nb) {
	for (int i=1; i <= 6; i=i+1) {
		echo("Thread number " & nb & " | loop number " & i & " | glob=" & glob,1);
		Sleep(1000); // wait one second
	}
}

entry {
	echo("Starting MultiThread demonstration program",1);
	echo("",1);
	glob = 1;
	Display(1);
	Sleep(100); // 0.1 second after Display() started
	glob = 2;
	Sleep(1200); // 1.3 second after Display() started
	glob = 3;
	Sleep(800); // 2.1 seconds after Display() started
	glob = 4;
	Sleep(5000);
	echo("",1);
	echo("End of MultiThread demonstration program",1);
}
